import { HistoryListener, RenewReader, Result, BaseArguments } from '../../shared/utils/types';
export declare const print: <T extends BaseArguments = BaseArguments>(argv: T, arg: Result, ta?: HTMLTextAreaElement) => Promise<boolean>;
export declare const historyListener: HistoryListener;
export declare const terminalUtils: {
    matchUp: (obj: KeyboardEvent) => boolean;
    matchDown: (obj: KeyboardEvent) => boolean;
    eventName: string;
    clearCurrent: () => void;
};
export declare const renewReader: RenewReader;
export declare function toggleTa(ta: HTMLTextAreaElement): boolean;
