import DexieCore, { DexieOptions } from 'dexie';
import { Cache, DbFiles } from '../../shared/utils/types';
declare class NyargsDb extends DexieCore {
    constructor(tableName: string, options?: DexieOptions);
}
export declare class UiDb extends NyargsDb {
    cache: DexieCore.Table<Cache>;
    constructor(options?: DexieOptions);
}
export declare class FilesDb extends NyargsDb {
    files: DexieCore.Table<DbFiles>;
    constructor(options?: DexieOptions);
}
export declare const Dexie: import("dexie").DexieConstructor;
export declare const db: (useFake: boolean) => Promise<UiDb>;
export declare const filesDb: (useFake: boolean) => Promise<FilesDb>;
export {};
