import './deps';
import '../tests';
import * as stores from '../runtime/store';
export declare const store: typeof stores;
export declare const program: import("../shared/utils/types").Module<any, any>;
export declare const match: import("../shared/utils/types").Module<any, any>;
export declare const test: import("../shared/utils/types").Module<{
    [str: string]: any;
}, any>;
export declare const element: import("../shared/utils/types").Module<any, any>;
export declare const cache: import("../shared/utils/types").Module<{
    test: boolean;
}, any>;
export declare const nest: import("../shared/utils/types").ParallelModule<{}, {
    topMessage: string;
    childMessages: any;
}>;
export declare const repl: (modules: {
    [moduleName: string]: import("../shared/utils/types").Module<any, any> | import("../shared/utils/types").ParallelModule<{}, any>;
}, yargs: any, prompt?: string) => Promise<any>;
export { configure } from '../shared/index';
export { setDictionary } from '../shared/utils/queue';
export { get, post } from '../shared/api/call';
export { get as getDeps } from '../shared';
export { put, Entry } from '../runtime/store';
export { dbPath } from '../shared/utils/dbPath';
export { default as isNode } from '../shared/utils/isNode';
export { importFromJson, clearDatabase, exportToJson } from '../shared/idb-backup-and-restore';
import * as dbHelpers from '../runtime/cache';
export declare const dbUtils: typeof dbHelpers;
export * as init from './init';
export * from '../shared/utils/types';
