import { BaseArguments, Result } from '../shared/utils/types';
export declare const dbPathUtil: (path: string, filename: string) => {
    fullpath: string;
    subdirs: string[];
};
export declare const context: {
    [props: string]: null | Function | Promise<any>;
};
export declare const cache: <Storable extends {
    isMultiResult?: boolean;
    list?: {
        [key: string]: any;
    };
} = Result>(argv: BaseArguments, data: Storable) => Promise<void | void[]>;
export declare function importDb(path: string, f: string | IDBDatabase, dbBack?: IDBDatabase): Promise<string>;
export declare function exportDb(p: any, f?: any, dbBack?: any): Promise<string>;
