import { Module, ParallelModule, Modules, BaseArguments } from '../shared/utils/types';
import { Executor } from './loop';
import { RESULT_KEY } from '../shared/utils/const';
export declare const caller: {
    get: Promise<(m: Modules, input: string) => {
        argv: BaseArguments;
        [RESULT_KEY]: object;
    }>;
};
export declare const makeCaller: (yargs: any) => Executor;
export declare const repl: (modules: {
    [moduleName: string]: Module<any, any> | ParallelModule<{}, any>;
}, yargs: any, prompt?: string) => Promise<any>;
