export declare const FILTER_ARG = "filters";
export interface Query {
    id?: number;
    commands: string[] | '*';
    names: string[] | '*';
    [FILTER_ARG]: string[];
}
export interface Entry extends Query {
    value: any;
}
export declare const clearCacheDb: () => Promise<any>;
export declare const parseCacheInstructions: (str: string, defaultFilter?: string | null) => Promise<string>;
export declare const evaluateFilter: (obj: object, query: string[] | undefined | null) => Promise<any>;
export declare const put: (entry: Entry) => Promise<any>;
export declare const cache: (commands: string[], data: any, names?: string[], _jq?: string[]) => Promise<void>;
export declare const where: (query: Query) => Promise<any>;
export declare const upsertByName: (unknownDexie: unknown, tableName: string, name: string) => Promise<any>;
