"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renewReader = exports.terminalUtils = void 0;
const readline_1 = __importDefault(require("readline"));
exports.terminalUtils = {
    matchUp: (obj) => obj.name === 'up',
    matchDown: (obj) => obj.name === 'down',
    eventName: 'keypress',
    clearCurrent: (rl) => {
        rl.write(null, { ctrl: true, name: 'u' });
    }
};
const renewReader = async (pr, curElement) => {
    curElement?.close();
    const rl = readline_1.default.createInterface({
        input: process.stdin,
        output: process.stdout,
        prompt: pr
    });
    return rl;
};
exports.renewReader = renewReader;
//# sourceMappingURL=index.js.map