"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dexie = exports.db = exports.UiDb = void 0;
require("fake-indexeddb/auto");
const dexie_1 = require("dexie");
require("fake-indexeddb/auto");
class UiDb extends dexie_1.Dexie {
    cache;
    constructor() {
        super("UiDb");
        this.version(1).stores({
            cache: 'id++, *names, *commands, value, [commands+names], createdAt'
        });
        this.cache = this.table('cache');
    }
}
exports.UiDb = UiDb;
const db = async (_) => new UiDb;
exports.db = db;
exports.Dexie = dexie_1.Dexie;
//# sourceMappingURL=index.js.map