export declare type SaveRequest = {
    [key: string]: string | number | object;
};
export declare const EP_BRACKETS = "brackets";
export interface QueryParams {
    [key: string]: string | number;
}
export interface postCall {
    (ep: string, params: SaveRequest, options?: RequestInit): Promise<Response>;
}
export interface getCall {
    (ep: string, params: QueryParams, options?: RequestInit): Promise<Response>;
}
export declare const post: postCall;
export declare const get: getCall;
