"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterObject = exports.dbPath = void 0;
const dbPath = (path, filename) => {
    const split = filename.includes('/')
        ? filename.split('/').filter(section => !!section) : [filename];
    const fname = split.pop();
    split.unshift(path);
    const subdirs = [...split];
    const fullpath = [...subdirs, fname].join('/');
    console.log('dirs and file', subdirs, 'full:', fullpath);
    return { fullpath, subdirs };
};
exports.dbPath = dbPath;
const filterObject = (obj, fn) => {
    return Object.entries(obj).reduce((accum, [key, val]) => {
        if (fn(val, key) === true)
            return { ...accum, [key]: val };
        return accum;
    }, {});
};
exports.filterObject = filterObject;
//# sourceMappingURL=dbPath.js.map