"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.db = exports.Dexie = exports.UiDb = void 0;
require("fake-indexeddb/auto");
const dexie_1 = require("dexie");
class UiDb extends dexie_1.Dexie {
    cache;
    constructor() {
        super("UiDb");
        this.version(1).stores({
            cache: 'id++, *names, *commands, value, [commands+names], createdAt'
        });
        this.cache = this.table('cache');
    }
}
exports.UiDb = UiDb;
exports.Dexie = dexie_1.Dexie;
exports.db = new UiDb;
//# sourceMappingURL=fake.js.map