"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = exports.dbUtils = exports.exportToJson = exports.clearDatabase = exports.importFromJson = exports.isNode = exports.dbPath = exports.put = exports.getDeps = exports.post = exports.get = exports.setDictionary = exports.configure = exports.repl = exports.nest = exports.cache = exports.element = exports.test = exports.match = exports.program = exports.store = void 0;
require("./deps");
require("../tests");
const stores = __importStar(require("../runtime/store"));
exports.store = stores;
const program_1 = __importDefault(require("../commands/program"));
exports.program = program_1.default;
const match_1 = __importDefault(require("../commands/match"));
exports.match = match_1.default;
const element_1 = __importDefault(require("../commands/element"));
const test_1 = __importDefault(require("../commands/_tools/test"));
exports.test = test_1.default;
exports.element = element_1.default;
const cache_1 = __importDefault(require("../commands/cache"));
exports.cache = cache_1.default;
const nest_1 = __importDefault(require("../commands/nest"));
exports.nest = nest_1.default;
const setUp_1 = require("../runtime/setUp");
exports.repl = setUp_1.repl;
var index_1 = require("../shared/index");
Object.defineProperty(exports, "configure", { enumerable: true, get: function () { return index_1.configure; } });
var queue_1 = require("../shared/utils/queue");
Object.defineProperty(exports, "setDictionary", { enumerable: true, get: function () { return queue_1.setDictionary; } });
var call_1 = require("../shared/api/call");
Object.defineProperty(exports, "get", { enumerable: true, get: function () { return call_1.get; } });
Object.defineProperty(exports, "post", { enumerable: true, get: function () { return call_1.post; } });
var shared_1 = require("../shared");
Object.defineProperty(exports, "getDeps", { enumerable: true, get: function () { return shared_1.get; } });
var store_1 = require("../runtime/store");
Object.defineProperty(exports, "put", { enumerable: true, get: function () { return store_1.put; } });
var dbPath_1 = require("../shared/utils/dbPath");
Object.defineProperty(exports, "dbPath", { enumerable: true, get: function () { return dbPath_1.dbPath; } });
var isNode_1 = require("../shared/utils/isNode");
Object.defineProperty(exports, "isNode", { enumerable: true, get: function () { return __importDefault(isNode_1).default; } });
var idb_backup_and_restore_1 = require("../shared/idb-backup-and-restore");
Object.defineProperty(exports, "importFromJson", { enumerable: true, get: function () { return idb_backup_and_restore_1.importFromJson; } });
Object.defineProperty(exports, "clearDatabase", { enumerable: true, get: function () { return idb_backup_and_restore_1.clearDatabase; } });
Object.defineProperty(exports, "exportToJson", { enumerable: true, get: function () { return idb_backup_and_restore_1.exportToJson; } });
const dbHelpers = __importStar(require("../runtime/cache"));
exports.dbUtils = dbHelpers;
exports.init = __importStar(require("./init"));
__exportStar(require("../shared/utils/types"), exports);
//# sourceMappingURL=exports.js.map