import { Module } from '../../shared/utils/types';
declare type Matchable = object | null | undefined | number | boolean | string;
declare type Matchables = Matchable[];
interface MatchResult {
    index: number;
    match: boolean;
    left: Matchable;
    right: Matchable;
}
declare const cm: Module<{
    l: Matchable | Matchables;
    r: Matchable | Matchables;
}, MatchResult[]>;
export default cm;
