import { Module } from '../../shared/utils/types';
declare type Program = Array<string>;
export declare type DictionaryInput = {
    [programName: string]: Program | Program[];
};
declare type Dictionary = {
    [programName: string]: Program;
};
declare type ProgramRef = {
    array: string[];
    dictionary: Dictionary;
};
export declare const cliProgram: ProgramRef;
export declare const queue: (stringOrProg: string | Program) => void;
export declare const setDictionary: (newKeys: DictionaryInput) => void;
export declare const getDictionary: () => Dictionary;
declare const m: Module;
export default m;
