import * as commands_ from '../commands';
import * as store_ from '../lib/store';
import * as idbBackupAndRestore_ from '../lib/idb-backup-and-restore';
import * as call_ from '../lib/api/call';
import * as setUp_ from '../setUp';
import * as loop_ from '../loop';
import * as dynamic_ from '../lib/dynamic';
import { Dexie as Dexie_ } from 'dexie';
declare type ExportFn<T> = Promise<T>;
export declare let commands: ExportFn<typeof commands_>;
export declare let store: ExportFn<typeof store_>;
export declare let setUp: ExportFn<typeof setUp_>;
export declare let idbBackupAndRestore: ExportFn<typeof idbBackupAndRestore_>;
export declare let call: ExportFn<typeof call_>;
export declare let loop: ExportFn<typeof loop_>;
export declare let dynamic: ExportFn<typeof dynamic_>;
export declare let Dexie: ExportFn<typeof Dexie_>;
export declare type Dexie = typeof Dexie_;
export declare const hooks: ExportFn<any>;
export {};
