export * from "./shared/utils/types";
export declare const isNode: () => any;
export declare const platformIsNode: any;
export declare const createApp: (fnOrModules: import("./shared/utils/types").Modules | import("./shared/utils/createApp").CreateAppArg, configurators?: {
    config?: {
        printResult?: import("./shared/utils/types").PrintResult<import("./shared/utils/types").BaseArguments>;
        wrapperFn?: (cmd: string, modules?: import("./shared/utils/types").Modules) => string;
        hotkeys?: import("./shared/utils/types").Hotkeys;
        afterKeypress?: (ke: import("./shared/utils/types").NodeKeypress | KeyboardEvent) => Promise<void>;
        processResult?: (result: import("./shared/utils/types").Result) => Promise<any>;
        messageUser?: (...messages: any) => void;
        useFakeDb?: boolean;
        init?: (...args: any[]) => any;
    };
    programs?: import("./commands/program").DictionaryInput;
}, prompt?: string) => Promise<void>;
export * as const from './shared/utils/const';
export * as tauAdaptors from './shared/utils/tauAdaptors';
