import './deps';
import '../tests';
import * as stores from '../runtime/store';
export declare const store: typeof stores;
export declare const program: import("..").Module<any, any>;
export declare const match: import("..").Module<any, any>;
export declare const element: import("..").Module<any, any>;
export declare const cache: import("..").Module<{
    test: boolean;
}, any>;
export declare const test: import("..").Module<{
    [str: string]: any;
}, any>;
export declare const repl: (modules: {
    [moduleName: string]: import("..").Module<any, any> | import("..").ParallelModule<{}, any>;
}, yargs: any, prompt?: string) => Promise<any>;
export declare const nest: import("..").ParallelModule<{}, {
    topMessage: string;
    childMessages: any;
}>;
export { configure } from '../shared/index';
export { get, post } from '../shared/api/call';
export { setDictionary } from '../shared/utils/queue';
export { get as getDeps } from '../shared';
export { put, Entry } from '../runtime/store';
export { dbPath } from '../shared/utils/dbPath';
export { default as isNode } from '../shared/utils/isNode';
export { importFromJson, clearDatabase, exportToJson } from '../shared/idb-backup-and-restore';
import * as dbHelpers from '../runtime/cache';
export declare const dbUtils: typeof dbHelpers;
