import { setDictionary } from 'commands/program';
import { ConfigOptions, Modules } from './types';
export declare const platformIsNode: any;
declare type Main = typeof import('../../server/exports') | typeof import('../../browser/exports');
export declare type CreateAppArg = (main: Main) => void;
declare type AppCreator = (fnOrModules: CreateAppArg | Modules, configurators?: {
    config?: {
        [Settable in keyof ConfigOptions]: ConfigOptions[Settable];
    };
    programs?: Parameters<typeof setDictionary>[0];
}, prompt?: string) => Promise<void>;
declare const createApp: AppCreator;
export default createApp;
